package com.atlassian.bitbucket.activity;

import com.atlassian.bitbucket.user.ApplicationUser;

import javax.annotation.Nonnull;
import java.util.Date;

/**
 * Describes common attributes on all activities created by the system.
 */
public interface Activity {

    @Nonnull
    Date getCreatedDate();

    long getId();

    @Nonnull
    ApplicationUser getUser();
}
